=== debian/changelog ===
ostiary (4.0-1) unstable; urgency=low

  * Upstream update to use SHA-256 (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Ray Ingles <sorceror171@gmail.com>  Wed, 21 Apr 2010 23:50:23 -0400
